> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fluents.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create webhook



## OpenAPI

````yaml /openapi.yml post /v1/webhooks/create
openapi: 3.0.0
info:
  title: Fluents Hosted API
  description: |2-

            Fluents' Hosted API helps you automate phone calls in minutes. 🚀

            ## Numbers

            You can buy phone lines and place agents on them.

            ## Calls

            You can start, end, and get information about calls.
            
  version: 1.0.0
  contact:
    name: Support
    url: https://fluents.com
    email: support@fluents.ai
servers:
  - url: https://api.fluents.ai
    description: Production
security:
  - bearer: []
tags: []
paths:
  /v1/webhooks/create:
    post:
      tags:
        - Webhooks
      operationId: WebhookController_createWebhook
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWebhookDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestError'
components:
  schemas:
    CreateWebhookDto:
      type: object
      properties:
        subscriptions:
          example:
            - event_message
            - event_action
          type: array
          items:
            type: object
        url:
          type: string
          example: https://example.com/webhook
        method:
          enum:
            - GET
            - POST
          type: string
          example: POST
        label:
          type: string
          example: My Webhook
        description:
          type: string
          example: This is a description
      required:
        - subscriptions
        - url
    WebhookDto:
      type: object
      properties:
        id:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
        user_id:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
        subscriptions:
          example:
            - event_message
            - event_action
          type: array
          items:
            type: object
        url:
          type: string
          example: https://example.com/webhook
        method:
          enum:
            - GET
            - POST
          type: string
          example: POST
        label:
          type: string
          example: My Webhook
        description:
          type: string
          example: This is a description
      required:
        - id
        - user_id
        - subscriptions
        - url
    BadRequestError:
      type: object
      properties:
        message:
          type: string
        error:
          type: string
        statusCode:
          type: number
          example: 400
      required:
        - message
        - error
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````